<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CAContinuousFillCoolant.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dc5/_c_a_continuous_fill_coolant_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CAContinuousFillCoolant.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/dbd/class_c_a_continuous_fill_coolant.html">CAContinuousFillCoolant</a> : <a class="code hl_class" href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">m_SpentQuantity_total</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">m_EmptySpace</a>; <span class="comment">//basically free capacity</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">m_TimeElpased</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a8e0a7ad48b8aaee590c335af40efd6c1">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a8e0a7ad48b8aaee590c335af40efd6c1">m_QuantityUsedPerSecond</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a98f9f764e0f7a9a3f097969bbce323f1">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a98f9f764e0f7a9a3f097969bbce323f1">m_AdjustedQuantityUsedPerSecond</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9f346bdb530829d565b804518d60a0ba">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9f346bdb530829d565b804518d60a0ba">m_DefaultTimeStep</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">   11</a></span>    <span class="keyword">protected</span> ref Param1&lt;float&gt;     <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a10f1a140179f855ca1391b99a5b25c1b">   13</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>            <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a10f1a140179f855ca1391b99a5b25c1b">m_Player</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a0087b95a4ed9ad58b45149fb2124c02c">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a0087b95a4ed9ad58b45149fb2124c02c">CAContinuousFillCoolant</a>( <span class="keywordtype">float</span> quantity_used_per_second, <span class="keywordtype">float</span> time_to_progress )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a8e0a7ad48b8aaee590c335af40efd6c1">m_QuantityUsedPerSecond</a> = quantity_used_per_second;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9f346bdb530829d565b804518d60a0ba">m_DefaultTimeStep</a> = time_to_progress;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a97d66ea96b846ca601aa2cf2e75dd059">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a97d66ea96b846ca601aa2cf2e75dd059">Setup</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a10f1a140179f855ca1391b99a5b25c1b">m_Player</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a> car = <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent());</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> ( !car )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">m_TimeElpased</a> = 0;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a> = 0;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a> )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a> = <span class="keyword">new</span> Param1&lt;float&gt;( 0 );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a>.param1 = 0;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">float</span> coolCapacity = car.GetFluidCapacity( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a>.COOLANT );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">float</span> currentCool = car.GetFluidFraction( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a>.COOLANT );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        currentCool = currentCool * coolCapacity;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">m_EmptySpace</a> = (coolCapacity - currentCool) * 1000;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantity();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">m_EmptySpace</a> &lt;= <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> = <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">m_EmptySpace</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a21d4b8f4bbe51399edff42d50d79d511">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a21d4b8f4bbe51399edff42d50d79d511">Execute</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data  )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a> car = <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent());</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> ( !car )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> &lt;= 0 )</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">m_SpentQuantity_total</a> &lt; <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a98f9f764e0f7a9a3f097969bbce323f1">m_AdjustedQuantityUsedPerSecond</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().SubtractSpecialtyBonus( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a8e0a7ad48b8aaee590c335af40efd6c1">m_QuantityUsedPerSecond</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a> += <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a98f9f764e0f7a9a3f097969bbce323f1">m_AdjustedQuantityUsedPerSecond</a> * action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">m_TimeElpased</a> += action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">m_TimeElpased</a> &gt;= <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9f346bdb530829d565b804518d60a0ba">m_DefaultTimeStep</a> )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                    <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                    <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">m_TimeElpased</a> = 0;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    <span class="comment">//Setup(action_data);   //reset data after repeat</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a141cada1f6bb39372407ee00fafcb447">   99</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a141cada1f6bb39372407ee00fafcb447">Cancel</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaafedf376fc4cba3395b0af0b54109300">UA_INTERRUPT</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }   </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a23ccdc32f55913f77cd59e945af0040f">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a23ccdc32f55913f77cd59e945af0040f">GetProgress</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a> &lt;= 0 )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> -(<a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">m_SpentQuantity_total</a> / <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">m_ItemQuantity</a>);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9a6154d5560da172ebebcc06f3bd14bd">  120</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9a6154d5560da172ebebcc06f3bd14bd">CalcAndSetQuantity</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">m_SpentQuantity_total</a> += <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a> )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a>.param1 = <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">SetACData</a>(<a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">m_SpentUnits</a>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">if</span>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.AddQuantity( -<a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a> );</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a> car = <a class="code hl_class" href="../../d6/d44/class_car.html">Car</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent());</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">if</span>( car )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                car.Fill( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a>.COOLANT, (<a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a> * 0.001) );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_variable" href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">m_SpentQuantity</a> = 0;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>}</div>
<div class="ttc" id="a_car_8c_html_a7e3ece2c12d3089c67bc1cc511b5fd3e"><div class="ttname"><a href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a></div><div class="ttdeci">CarFluid</div><div class="ttdoc">Type of vehicle's fluid. (native, do not change or extend)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00018">Car.c:19</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_a94ed25b4845c825a2c5fd50e663cb80f"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a></div><div class="ttdeci">protected void CalcAndSetQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l02712">FireplaceBase.c:2712</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a0d37d5dd461d15b99bde41f229a7433f"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">CABase::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00003">CABase.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a15caa3f387f97bbe79d18e4269dec382"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">CABase::SetACData</a></div><div class="ttdeci">void SetACData(Param units)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00040">CABase.c:40</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00001">CAContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html_a0ed880c4a0919f099c2891277df04d26"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">CAContinuousBase::OnCompletePogress</a></div><div class="ttdeci">void OnCompletePogress(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00008">CAContinuousBase.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html">CAContinuousFillCoolant</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00001">CAContinuousFillCoolant.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a0087b95a4ed9ad58b45149fb2124c02c"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a0087b95a4ed9ad58b45149fb2124c02c">CAContinuousFillCoolant::CAContinuousFillCoolant</a></div><div class="ttdeci">void CAContinuousFillCoolant(float quantity_used_per_second, float time_to_progress)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00015">CAContinuousFillCoolant.c:15</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a10f1a140179f855ca1391b99a5b25c1b"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a10f1a140179f855ca1391b99a5b25c1b">CAContinuousFillCoolant::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00013">CAContinuousFillCoolant.c:13</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a141cada1f6bb39372407ee00fafcb447"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a141cada1f6bb39372407ee00fafcb447">CAContinuousFillCoolant::Cancel</a></div><div class="ttdeci">override int Cancel(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00099">CAContinuousFillCoolant.c:99</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a1515f6985d58bee38027c65f8ed349a3"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a1515f6985d58bee38027c65f8ed349a3">CAContinuousFillCoolant::m_SpentQuantity</a></div><div class="ttdeci">protected float m_SpentQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00004">CAContinuousFillCoolant.c:4</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a21d4b8f4bbe51399edff42d50d79d511"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a21d4b8f4bbe51399edff42d50d79d511">CAContinuousFillCoolant::Execute</a></div><div class="ttdeci">override int Execute(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00056">CAContinuousFillCoolant.c:56</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a23ccdc32f55913f77cd59e945af0040f"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a23ccdc32f55913f77cd59e945af0040f">CAContinuousFillCoolant::GetProgress</a></div><div class="ttdeci">override float GetProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00111">CAContinuousFillCoolant.c:111</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a8e0a7ad48b8aaee590c335af40efd6c1"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a8e0a7ad48b8aaee590c335af40efd6c1">CAContinuousFillCoolant::m_QuantityUsedPerSecond</a></div><div class="ttdeci">protected float m_QuantityUsedPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00008">CAContinuousFillCoolant.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a97d66ea96b846ca601aa2cf2e75dd059"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a97d66ea96b846ca601aa2cf2e75dd059">CAContinuousFillCoolant::Setup</a></div><div class="ttdeci">override void Setup(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00022">CAContinuousFillCoolant.c:22</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a98f9f764e0f7a9a3f097969bbce323f1"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a98f9f764e0f7a9a3f097969bbce323f1">CAContinuousFillCoolant::m_AdjustedQuantityUsedPerSecond</a></div><div class="ttdeci">protected float m_AdjustedQuantityUsedPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00009">CAContinuousFillCoolant.c:9</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a9a6154d5560da172ebebcc06f3bd14bd"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9a6154d5560da172ebebcc06f3bd14bd">CAContinuousFillCoolant::CalcAndSetQuantity</a></div><div class="ttdeci">void CalcAndSetQuantity(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00120">CAContinuousFillCoolant.c:120</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_a9f346bdb530829d565b804518d60a0ba"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#a9f346bdb530829d565b804518d60a0ba">CAContinuousFillCoolant::m_DefaultTimeStep</a></div><div class="ttdeci">protected float m_DefaultTimeStep</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00010">CAContinuousFillCoolant.c:10</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_abb80f0f3f5d7dc1cc077645e3fe2b0b1"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#abb80f0f3f5d7dc1cc077645e3fe2b0b1">CAContinuousFillCoolant::m_EmptySpace</a></div><div class="ttdeci">protected float m_EmptySpace</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00006">CAContinuousFillCoolant.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_acd1aa2150771bf2955f7bd9e09dc5e4d"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#acd1aa2150771bf2955f7bd9e09dc5e4d">CAContinuousFillCoolant::m_SpentQuantity_total</a></div><div class="ttdeci">protected float m_SpentQuantity_total</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00005">CAContinuousFillCoolant.c:5</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_ae2916108b51e1bd3df815b455cc68d59"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#ae2916108b51e1bd3df815b455cc68d59">CAContinuousFillCoolant::m_ItemQuantity</a></div><div class="ttdeci">protected float m_ItemQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00003">CAContinuousFillCoolant.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_aec890bd3126ce3a042c0f22051d806be"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#aec890bd3126ce3a042c0f22051d806be">CAContinuousFillCoolant::m_TimeElpased</a></div><div class="ttdeci">protected float m_TimeElpased</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00007">CAContinuousFillCoolant.c:7</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_coolant_html_afd7e7cc671c7372e58352e05b725c8f4"><div class="ttname"><a href="../../de/dbd/class_c_a_continuous_fill_coolant.html#afd7e7cc671c7372e58352e05b725c8f4">CAContinuousFillCoolant::m_SpentUnits</a></div><div class="ttdeci">protected ref Param1&lt; float &gt; m_SpentUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dc5/_c_a_continuous_fill_coolant_8c_source.html#l00011">CAContinuousFillCoolant.c:11</a></div></div>
<div class="ttc" id="aclass_car_html"><div class="ttname"><a href="../../d6/d44/class_car.html">Car</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00054">CarScript.c:55</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00413">constants.c:413</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga27cc3557ea5e3394f26701d52a0ce245"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a></div><div class="ttdeci">const int UA_ERROR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00432">constants.c:432</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaafedf376fc4cba3395b0af0b54109300"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaafedf376fc4cba3395b0af0b54109300">UA_INTERRUPT</a></div><div class="ttdeci">const int UA_INTERRUPT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00415">constants.c:415</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00411">constants.c:411</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../dd/dc5/_c_a_continuous_fill_coolant_8c.html">CAContinuousFillCoolant.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
